org.apache.commons.math3.stat.ranking

## Interface RankingAlgorithm

- All Known Implementing Classes:
    NaturalRanking

      public interface RankingAlgorithm

  Interface representing a rank transformation.
  Since:
    2.0
  Version:
    $Id: RankingAlgorithm.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `rank(double[] data)` Performs a rank transformation on the input data, returning an array of ranks.

- - ### Method Detail

    - #### rank

          double[] rank(double[] data)

      Performs a rank transformation on the input data, returning an array of ranks.

      Ranks should be 1-based - that is, the smallest value returned in an array of ranks should be greater than or equal to one, rather than 0. Ranks should in general take integer values, though implementations may return averages or other floating point values to resolve ties in the input data.

      Parameters:
        `data` - array of data to be ranked
      Returns:
        an array of ranks corresponding to the elements of the input array

Copyright (c) 2003-2013 Apache Software Foundation